<?php

namespace Asadi\Development;

use User;

class Development
{
    /**
     * $development object.
     */
    protected $development;

    /**
     * Constructor.
     */
    public function __construct(\Asadi\Development\Interfaces\DevelopmentRepositoryInterface $development)
    {
        $this->development = $development;
    }

    /**
     * Returns count of development.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.development.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->development->pushCriteria(new \Litepie\Asadi\Repositories\Criteria\DevelopmentUserCriteria());
        }

        $development = $this->development->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('development::' . $view, compact('development'))->render();
    }
}
