<?php

namespace Asadi\Development\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Asadi\Development\Interfaces\DevelopmentRepositoryInterface;

class DevelopmentPublicController extends BaseController
{
    // use DevelopmentWorkflow;

    /**
     * Constructor.
     *
     * @param type \Asadi\Development\Interfaces\DevelopmentRepositoryInterface $development
     *
     * @return type
     */
    public function __construct(DevelopmentRepositoryInterface $development)
    {
        $this->repository = $development;
        parent::__construct();
    }

    /**
     * Show development's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $developments = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('development::public.development.index', compact('developments'))->render();
    }

    /**
     * Show development.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $development = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('development::public.development.show', compact('development'))->render();
    }

}
