<?php

namespace Asadi\Development\Workflow;

use Asadi\Development\Models\Development;
use Asadi\Development\Notifications\Development as DevelopmentNotifyer;
use Notification;

class DevelopmentNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Development $development
     *
     * @return void
     */
    public function complete(Development $development)
    {
        return Notification::send($development->user, new DevelopmentNotifyer($development, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Development $development
     *
     * @return void
     */
    public function verify(Development $development)
    {
        return Notification::send($development->user, new DevelopmentNotifyer($development, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Development $development
     *
     * @return void
     */
    public function approve(Development $development)
    {
        return Notification::send($development->user, new DevelopmentNotifyer($development, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Development $development
     *
     * @return void
     */
    public function publish(Development $development)
    {
        return Notification::send($development->user, new DevelopmentNotifyer($development, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Development $development
     *
     * @return void
     */
    public function archive(Development $development)
    {
        return Notification::send($development->user, new DevelopmentNotifyer($development, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Development $development
     *
     * @return void
     */
    public function unpublish(Development $development)
    {
        return Notification::send($development->user, new DevelopmentNotifyer($development, 'unpublish'));;

    }
}
